pappso::FilterMorphoMedian Class Reference

median filter apply median of y values inside the window More...

`#include <filtermorpho.h>`

Inheritance diagram for pappso::FilterMorphoMedian:

## Public Member Functions

| FilterMorphoMedian (std::size_t half_window_size)
| FilterMorphoMedian (const FilterMorphoMedian &other)
virtual | ~FilterMorphoMedian ()
FilterMorphoMedian & | operator= (const FilterMorphoMedian &other)
double | getWindowValue (std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end) const override
Public Member Functions inherited from pappso::FilterMorphoWindowBase
| FilterMorphoWindowBase (std::size_t half_window_size)
| FilterMorphoWindowBase (const FilterMorphoWindowBase &other)
virtual | ~FilterMorphoWindowBase ()
FilterMorphoWindowBase & | operator= (const FilterMorphoWindowBase &other)
virtual Trace & | filter (Trace &data_points) const override
virtual std::size_t | getHalfWindowSize () const
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Additional Inherited Members

Protected Attributes inherited from pappso::FilterMorphoWindowBase
std::size_t | m_halfWindowSize = 0

## Detailed Description

median filter apply median of y values inside the window

Definition at line 190 of file filtermorpho.h.

## Constructor & Destructor Documentation

## FilterMorphoMedian() [1/2]

FilterMorphoMedian::FilterMorphoMedian | ( | std::size_t | half_window_size | ) |

Definition at line 388 of file filtermorpho.cpp.

: FilterMorphoWindowBase(half_window_size)
{
}
pappso::FilterMorphoWindowBase::FilterMorphoWindowBase
FilterMorphoWindowBase(std::size_t half_window_size)
Definition: filtermorpho.cpp:36

## FilterMorphoMedian() [2/2]

FilterMorphoMedian::FilterMorphoMedian | ( | const FilterMorphoMedian & | other | ) |

Definition at line 392 of file filtermorpho.cpp.

: FilterMorphoWindowBase(other.m_halfWindowSize)
{
}
pappso::FilterMorphoWindowBase::m_halfWindowSize
std::size_t m_halfWindowSize
Definition: filtermorpho.h:43

## ~FilterMorphoMedian()

virtual pappso::FilterMorphoMedian::~FilterMorphoMedian | ( |  | ) |

inline virtual

Definition at line 196 of file filtermorpho.h.

{};

## Member Function Documentation

## getWindowValue()

double FilterMorphoMedian::getWindowValue | ( | std::vector< DataPoint >::const_iterator | begin,
|  | std::vector< DataPoint >::const_iterator | end
| ) |  | const

override virtual

Implements pappso::FilterMorphoWindowBase.

Definition at line 406 of file filtermorpho.cpp.

{
return medianYTrace(begin, end);
}
pappso::medianYTrace
double medianYTrace(std::vector< DataPoint >::const_iterator begin, std::vector< DataPoint >::const_iterator end)
calculate the median of y value of a trace
Definition: trace.cpp:250

References pappso::medianYTrace().

## operator=()

FilterMorphoMedian & FilterMorphoMedian::operator= | ( | const FilterMorphoMedian & | other | ) |

Definition at line 398 of file filtermorpho.cpp.

{
m_halfWindowSize = other.m_halfWindowSize;
return *this;
}

References pappso::FilterMorphoWindowBase::m_halfWindowSize.

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filtermorpho.h
- pappsomspp/processing/filters/filtermorpho.cpp